Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.jobshop
Class Location

    java.lang.Object
      ifs.model.Value
          ifs.example.jobshop.Location

All Implemented Interfaces:
  Comparable

    public class Location

extends Value

Location of an operation.
Each location has its start time.

Version:
  1.0
Author:
  Tomáš Müller

Field Summary

Fields inherited from class ifs.model.Value
`iValue`

Constructor Summary
`Location(Operation op, int startTime)` Constructor

Method Summary
`boolean` | `after(Location anotherLocation)` Returnts true if after the given location
`boolean` | `before(Location anotherLocation)` Returnts true if before the given location
`int` | `getFinishingTime()` Get finishing time of the location (start time + operation processing time)
`String` | `getName()` Name -- start time
`int` | `getStartTime()` Get start time of the location
`boolean` | `overlap(Location anotherLocation)` Returns true if overlap with the given location
`int` | `toInt()` Start time of the location
`String` | `toString()` String representation (operation name = start time)

Methods inherited from class ifs.model.Value
`assigned, compareTo, conflicts, countAssignments, equals, getDescription, getExtra, getId, hashCode, lastAssignmentIteration, lastUnassignmentIteration, setExtra, setVariable, unassigned, valueEquals, variable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Location

    public Location(Operation op,
                    int startTime)

  Constructor

  Parameters:
    `op` - parent operation
    `startTime` - start time

Method Detail

### getStartTime

    public int getStartTime()

  Get start time of the location

### getFinishingTime

    public int getFinishingTime()

  Get finishing time of the location (start time + operation processing time)

### toInt

    public int toInt()

  Start time of the location

  Overrides:
    `toInt` in class `Value`

### toString

    public String toString()

  String representation (operation name = start time)

  Overrides:
    `toString` in class `Value`

### getName

    public String getName()

  Name -- start time

  Overrides:
    `getName` in class `Value`

### overlap

    public boolean overlap(Location anotherLocation)

  Returns true if overlap with the given location

### before

    public boolean before(Location anotherLocation)

  Returnts true if before the given location

### after

    public boolean after(Location anotherLocation)

  Returnts true if after the given location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller